function Output = display_ivga_overall(Summary, N, show_details, nodisplay)



%  This file is a part of the Independent Variable Group Analysis package
% 
%  Copyright (C) 2001-2006 Esa Alhoniemi, Antti Honkela, Krista Lagus,
%  Jeremias Seppa, Harri Valpola, and Paul Wagner
% 
%  This program is free software; you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation; either version 2, or (at your option)
%  any later version.
% 
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License (included in file License.txt in the
%  program package) for more details.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

n = length(N);

Output{1} = cat(2, Summary.GroupCosts{N});
Output{2} = {Summary.Groups{N}};
Output{3} = cat(2, Summary.GroupNCentroids{N});

if nodisplay, return; end

%%

subplot(1,3,1)

h = barh(Output{1});
set(h, 'facecolor', 'k')
xlabel('Cost')
axis tight
set(gca, 'ydir', 'normal', 'ytick', 1:length(N), 'yticklabel', N)

%%

subplot(1,3,2)

Y = ones(length(N), Summary.nvars);
for i = 1:n
  Y(i, Output{2}{i}) = 0;
end

imagesc(Y)
colormap(gray(2))
set(gca, 'ydir', 'normal', 'ytick', 1:length(N), 'yticklabel', N);
xlabel('Variable n:o')

%%

subplot(1,3,3)

h = barh(Output{3});
set(h, 'facecolor', 'k');
set(gca, 'ytick', 1:length(N), 'yticklabel', N);
xlabel('#centroids')
axis tight

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
